Cancel Campaign
curl --request POST \
--url https://api.example.com/api/campaigns/{campaign_id}/cancelimport requests
url = "https://api.example.com/api/campaigns/{campaign_id}/cancel"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/campaigns/{campaign_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Campaigns
Cancel Campaign
Immediately cancel a campaign (hard stop)
POST
/
api
/
campaigns
/
{campaign_id}
/
cancel
Cancel Campaign
Cancel Campaign
Immediately terminate a campaign. Ongoing calls are completed, but no new calls are initiated.Path Parameters
string
required
UUID of the campaign to cancel
Example Request
curl -X POST "https://api.vaani.ai/api/campaigns/abc-123-xyz/cancel" \
-H "X-API-Key: vaani_abc123..."
Response 200 OK
{
"id": "abc-123-xyz",
"campaign_name": "Summer Promo 2024",
"campaign_status": "cancelled",
"updated_at": "2026-07-01T14:50:00Z"
}
Behavior
- Immediately stops initiating new calls
- Ongoing calls complete normally
- Status transitions to
cancelled - Cannot be resumed after cancellation
Comparison: Stop vs Cancel
| Action | Timing | Can Resume? | Use Case |
|---|---|---|---|
| Stop | End of day | ❌ No | Graceful completion |
| Cancel | Immediate | ❌ No | Emergency termination |
| Pause | Immediate | ✅ Yes | Temporary suspension |
Cancellation is permanent. Use
/pause if you need to temporarily suspend the campaign.⌘I

